<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Mon Jul 17 12:51:56 CEST 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>towerwarspp.board (APP)</title>
<meta name="date" content="2017-07-17">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="towerwarspp.board (APP)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../towerwarspp/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../towerwarspp/io/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?towerwarspp/board/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Package" class="title">Package&nbsp;towerwarspp.board</h1>
<div class="docSummary">
<div class="block">The board Package which implements the Logic of the game.</div>
</div>
<p>See:&nbsp;<a href="#package.description">Description</a></p>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Class Summary table, listing classes, and an explanation">
<caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../towerwarspp/board/Board.html" title="class in towerwarspp.board">Board</a></td>
<td class="colLast">
<div class="block">This class represents an extended board which, on the one hand, has the same functionality as <a href="../../towerwarspp/board/SimpleBoard.html" title="class in towerwarspp.board"><code>SimpleBoard</code></a>
 and on the other hand, gives the possibility to score moves according to different score strategies, including the simple one.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../towerwarspp/board/BViewer.html" title="class in towerwarspp.board">BViewer</a></td>
<td class="colLast">
<div class="block">This class implements the interface Viewer in the preset package and represents a board viewer
 which observes a board object.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a></td>
<td class="colLast">
<div class="block">This class represents a token in the TowerWars game.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../towerwarspp/board/Hexagon.html" title="class in towerwarspp.board">Hexagon</a></td>
<td class="colLast">
<div class="block">This class represents a hexagon field on a hexagon board.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../towerwarspp/board/MoveScore.html" title="class in towerwarspp.board">MoveScore</a></td>
<td class="colLast">
<div class="block">This class represents the information on a move in respect to its score made according to the simple strategy
 and the move's possible consequence.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../towerwarspp/board/SimpleBoard.html" title="class in towerwarspp.board">SimpleBoard</a></td>
<td class="colLast">
<div class="block">This class represents the board on which all players' moves have to be executed.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Enum Summary table, listing enums, and an explanation">
<caption><span>Enum Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Enum</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../towerwarspp/board/MoveResult.html" title="enum in towerwarspp.board">MoveResult</a></td>
<td class="colLast">
<div class="block">This enumeration represents possible consequences of a move for the player who is going to make this move.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
<a name="package.description">
<!--   -->
</a>
<h2 title="Package towerwarspp.board Description">Package towerwarspp.board Description</h2>
<div class="block">The board Package which implements the Logic of the game.</div>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../towerwarspp/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../towerwarspp/io/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?towerwarspp/board/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
